Skip to main content
GET
List Showings

Headers

Authorization
string
required

Bearer [access_token]

Query Parameters

leadId
string

Restrict to one lead.

Example:

563172647619608

externalId
string

Restrict to the showing the calling partner created under this externalId.

Example:

"showami-98765"

status
enum<string>

Restrict to one status.

Available options:
requested,
scheduled,
in_progress,
completed,
denied,
expired,
cancelled
Example:

"scheduled"

startAt
string

Only showings starting at or after this time, ISO 8601 with offset.

Example:

"2026-11-01T00:00:00-07:00"

endAt
string

Only showings starting at or before this time, ISO 8601 with offset.

Example:

"2026-11-30T23:59:59-07:00"

page
string
default:0

Page number, starting at 0.

Example:

0

pageSize
string
default:20

Page size, 1-100.

Example:

20

Response

Page of showings.

Wrapped response for GET /v2.0/showings. The result is returned under the 'data' key.

data
object

A page of showings.